## $Id: pages.py 17201 2022-12-01 15:57:05Z henrik $
##
## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
import grok
from zope.component import (
    getUtility, queryUtility, createObject, getAllUtilitiesRegisteredFor,
    getUtilitiesFor,
    )
from waeup.kofa.interfaces import IKofaUtils, IKofaObject, ICSVExporter
from waeup.kofa.browser.pages import (
    SessionConfigurationAddFormPage, SessionConfigurationManageFormPage,
    LoginPage, CertificatePage, CertificateManageFormPage,
    ExportCSVPage)
from waeup.kofa.university.interfaces import ICertificate
from kofacustom.lpng.interfaces import (
    ICustomSessionConfiguration, ICustomSessionConfigurationAdd)

grok.templatedir('templates')

class CustomSessionConfigurationAddFormPage(SessionConfigurationAddFormPage):
    """Add a session configuration object to configuration container.
    """
    form_fields = grok.AutoFields(ICustomSessionConfigurationAdd)

class CustomSessionConfigurationManageFormPage(SessionConfigurationManageFormPage):
    """Manage session configuration object.
    """
    form_fields = grok.AutoFields(ICustomSessionConfiguration)

class CustomExportCSVPage(ExportCSVPage):

    grok.template('datacenterexportpage')

    def getExporters(self):
        title_name_tuples = [
            (u'Registrants', u'applicants'),
            (u'Registrant Payments', u'applicantpayments'),
            (u'Registrants Containers', u'applicantscontainers'),
            (u'Users', u'users'),
            ]
        return sorted(title_name_tuples)
